source 'https://rubygems.org'

gem 'rails', '5.0.2'

gem 'spring', :group => :development

gem 'puma'

gem 'kong'
gem 'httparty'
gem 'rest-client'

gem 'sqlite3'
gem 'pg', '0.18'

# Sidekiq and redis
gem 'sidekiq'
gem 'redis'
gem 'redis-namespace'

# Use Rack CORS for handling Cross-Origin Resource Sharing (CORS), making cross-origin AJAX possible
gem 'rack-cors'

# RabbitMQ
gem 'bunny', '~> 2.5.1'

gem 'colorize'

group :development, :test do
  gem 'rspec-rails'
end

gem 'simplecov', :require => false, :group => :test

# To use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# To use Jbuilder templates for JSON
# gem 'jbuilder'

# Use unicorn as the app server
# gem 'unicorn'

# Deploy with Capistrano
# gem 'capistrano', :group => :development

# To use debugger
# gem 'ruby-debug19', :require => 'ruby-debug'
